package com.bonus.canteen.core.notice.print.v2.po;


import com.bonus.canteen.core.notice.print.v2.constant.PrintConstants;

public class PrintResponsePO {
   private Integer ret;
   private String msg;
   private String data;

   public static PrintResponsePO getFailPO(String msg) {
      PrintResponsePO response = new PrintResponsePO();
      response.setRet(PrintConstants.PRINT_RESPONSE_FAILED_RET);
      response.setMsg(msg);
      return response;
   }

   public static PrintResponsePO getSuccessPO(String data) {
      PrintResponsePO response = new PrintResponsePO();
      response.setRet(PrintConstants.PRINT_RESPONSE_SUCCESS_RET);
      response.setData(data);
      return response;
   }

   public Integer getRet() {
      return this.ret;
   }

   public String getMsg() {
      return this.msg;
   }

   public String getData() {
      return this.data;
   }

   public void setRet(final Integer ret) {
      this.ret = ret;
   }

   public void setMsg(final String msg) {
      this.msg = msg;
   }

   public void setData(final String data) {
      this.data = data;
   }


}
